Subject: MPLS and Tag Switching

From: David Curren <[email-masked]>
Date: Thu, 27 Jan 2000 02:47:22 -0800 (PST)

Can someone help me understanding the major
differences between Tag Switching and MPLS.
The reason for this question is that Cisco says that
there is no diference between both technologies.

Regards,
Dave
__________________________________________________
Do You Yahoo!?
Talk to your friends online with Yahoo! Messenger.
http://im.yahoo.com

---

From: Curtis Villamizar <[email-masked]>
Date: Thu, 27 Jan 2000 11:54:36 -0500

In message <[email-masked]>, David Curren wr
> there is no diference between both technologies.

A bit of history (IMNSHO):

  1)  There were discussions on the int-serv mailing list about
      switching IP that preceeded any vendor's announcement of
      product.  See archives if you want to confirm.

  2)  Four products followed, though clearly some developments had
      begun prior to the open discussions on the mailing list.  These
      were: Ipsilon IP switching, Cisco TAG, IBM ARIS, Toshiba CSR.

  3)  The MPLS WG formed to try to converge.  The initial goal was to
      solve the minor problem of patricia trie lookup instruction
      cycles using a tag that facilitated array lookup.

  4)  The patricia trie lookup is no longer considered a problem in
      modern architectures.  IP lookup hardware capable of line rate
      OC192c has been developed by a number of router vendors.

  5)  Traffic engineering replaced the prior reason for the MPLS WG to
      exist except in the view of 1) companies that wanted to breath
      addition life into older hardware that couldn't forward fast
      enough, 2) ATM (and FR) vendors that thought it might breath new
      life into a dying market for ATM.

  6)  The MPLS WG produced LDP which was useless for TE, later
      MPLS-RSVP which addressed TE, still later CR-LDP which addressed
      TE using additions to LDP.

To the extent that Cisco TAG has evolved to be LDP like what Cisco
told you had some truth to it.

Though they are similar and share some common heritage: TAG != MPLS

Curtis

---

From: "Scott W Brim" <[email-masked]>
Date: Thu, 27 Jan 2000 12:37:37 -0500

>A bit of history (IMNSHO):

Let's not forget egress tagging in Arpanet.

...Scott

---

From: Eric Rosen <[email-masked]>
Date: Thu, 27 Jan 2000 14:16:35 -0500

Do you know the old saying, "A camel is a horse designed by a committee"? 

Think of MPLS as Tag Switching with humps ;-) Fortunately, most of the humps
are optional!   Anyway, it's hardly unusual  for a technology to  grow a few
humps as it evolves.

Sure,  to   be  interoperable   in  the  control   plane  with   other  MPLS
implementations, TDP must be replaced by LDP (aka TDPv2), but the user isn't
going  to see  much  of a  difference,  as these  two  protocols are  nearly
equivalent functionally.   (No change to  the forwarding plane is  needed at
all.) On a  given router, LDP can  be running on one interface  while TDP is
running on  another, and label switching  can still be done  between the two
interfaces. 

MPLS and  Tag Switching really are  the same technology;  "tag switching" is
just the name that was used before the standards were available. 

If you  read Curtis' little  history of MPLS,  don't take it  too seriously.
His theories about  the goals, motives, and thoughts  of the people involved
in the MPLS effort are not very accurate.

---

From: Jeremy Lawrence <[email-masked]>
Date: Fri, 28 Jan 2000 10:10:03 +1100

[...]
>told you had some truth to it.

The truth doesn't stop with LDP. :) Notice the similarities
between the current "Label Stack Encoding" draft
http://www.ietf.org/internet-drafts/draft-ietf-mpls-label-encaps-07.txt
and the first published "Tag Switching: Tag Stack Encodings" draft
http://infonet.aist-nara.ac.jp/member/nori-d/mlr/id/draft-rosen-tag-stack-00.txt
The original header format has survived, with the only changes to 
it being the assignment of some originally "reserved" bits, and
the "CoS" field has being renamed. The assignment of reserved bits
happened in rev 2 of the Tag Stack draft
http://infonet.aist-nara.ac.jp/member/nori-d/mlr/id/draft-rosen-tag-stack-02.txt
and shipping Tag Switching code has always used the header format which
became the MPLS Label Stack Encoding.

Other similar examples can be found in Noritoshi Demizu's 
wonderful archive
http://infonet.aist-nara.ac.jp/member/nori-d/mlr/

Jeremy Lawrence